#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT        //  Qtのクラスを宣言する時に置くマクロ

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

    void paintEvent(QPaintEvent * event);       //  描画用メソッド

    class QTimer * my_timer;                    //  描画画面更新用タイマー

public slots:
    void show_time();                           //  タイマーイベント処理用メソッド
    void goodBy();                              //  ボタンクリック処理用メソッド
};

#endif // MAINWINDOW_H
